Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in freexl
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in freexl
ID: openSUSE-SU-2018:0569-1
Distribution: SUSE
Plattformen: SUSE Package Hub for SUSE Linux Enterprise 12
Datum: Do, 1. März 2018, 20:00
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-7438
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-7437
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-7436
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-7439
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-7435
Applikationen: freexl

Originalnachricht

   openSUSE Security Update: Security update for freexl
______________________________________________________________________________

Announcement ID: openSUSE-SU-2018:0569-1
Rating: important
References: #1082774 #1082775 #1082776 #1082777 #1082778

Cross-References: CVE-2018-7435 CVE-2018-7436 CVE-2018-7437
CVE-2018-7438 CVE-2018-7439
Affected Products:
SUSE Package Hub for SUSE Linux Enterprise 12
______________________________________________________________________________

An update that fixes 5 vulnerabilities is now available.

Description:

This update for freexl fixes the following issues:

freexl was updated to version 1.0.5:

* No changelog provided by upstream
* Various heapoverflows in 1.0.4 have been fixed:

* CVE-2018-7439: heap-buffer-overflow in freexl.c:3912
read_mini_biff_next_record (boo#1082774)
* CVE-2018-7438: heap-buffer-overflow in freexl.c:383
parse_unicode_string (boo#1082775)
* CVE-2018-7437: heap-buffer-overflow in freexl.c:1866
parse_SST(boo#1082776)
* CVE-2018-7436: heap-buffer-overflow in freexl.c:1805 parse_SST
parse_SST (boo#1082777)
* CVE-2018-7435: heap-buffer-overflow in freexl::destroy_cell
(boo#1082778)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Package Hub for SUSE Linux Enterprise 12:

zypper in -t patch openSUSE-2018-217=1

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Package Hub for SUSE Linux Enterprise 12 (aarch64 ppc64le s390x
x86_64):

freexl-debugsource-1.0.5-8.1
freexl-devel-1.0.5-8.1
libfreexl1-1.0.5-8.1
libfreexl1-debuginfo-1.0.5-8.1


References:

https://www.suse.com/security/cve/CVE-2018-7435.html
https://www.suse.com/security/cve/CVE-2018-7436.html
https://www.suse.com/security/cve/CVE-2018-7437.html
https://www.suse.com/security/cve/CVE-2018-7438.html
https://www.suse.com/security/cve/CVE-2018-7439.html
https://bugzilla.suse.com/1082774
https://bugzilla.suse.com/1082775
https://bugzilla.suse.com/1082776
https://bugzilla.suse.com/1082777
https://bugzilla.suse.com/1082778

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Unterstützer werden
Neue Nachrichten
Werbung